Index: mmon/opt_config
===================================================================
--- common/opt_config	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ 	(revision )
@@ -1,38 +1,0 @@
-#####
-#
-# optimization configuration file
-#
-#####
-#
-#$Id$
-#
-
-#--- Default optimization mode
-#    This level is overridden by definitions in common/opt_override;
-#    in this way, packages can be tuned independently.  For example,
-#    if you have trouble building a package in mode defOpt, add
-#    the package to common/opt_override with a different mode.
-DEF_OPT_LVL=defOpt
-
-
-#--- Active optimization variables
-#    Variables listed here will be set as defined in the appropriate
-#    file in common/opt_config.d/; others will be ignored.
-ACTIVE_OPT_VARS="CFLAGS CXXFLAGS LDFLAGS \
-                 OTHER_CFLAGS OTHER_CXXFLAGS OTHER_LDFLAGS"
-
-#--- Load optimization modes
-#    To add modes, create a working template..
-#      cp opt_config.d/defOpt opt_config.d/newMode
-#    ..and edit it as desired.
-#
-#    To inherit another mode and add to it, see opt_config.d/defOpt_fPIC
-#    as an example.  Given opt_config.d/modeA_modeB_modeC, modeB inherits
-#    the optimizations of modeA by sourcing it, and modeC inherits those
-#    of modeB (which includes those of modeA).
-#
-#    Add packages that are to use this mode to opt_override with:
-#      echo 'myPkg  newMode' >> opt_override
-for mode in $COMMON_DIR/opt_config.d/* ; do
-  source $mode
-done
Index: mmon/opt_config.d/defOpt
===================================================================
--- common/opt_config.d/defOpt	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ 	(revision )
@@ -1,20 +1,0 @@
-#
-#$Id$
-#
-#####
-#
-# MODE defOpt configuration
-#
-# Usage: - Apply optimization string to each variable
-#        - "unset" will cause the variable to be not set
-#          instead of just set to null.
-#
-#####
-
-CFLAGS_defOpt="-O3 -pipe -s"
-CXXFLAGS_defOpt=$CFLAGS_defOpt
-LDFLAGS_defOpt="-s"
-
-OTHER_CFLAGS_defOpt=$CFLAGS_defOpt
-OTHER_CXXFLAGS_defOpt=$CXXFLAGS_defOpt
-OTHER_LDFLAGS_defOpt=$LDFLAGS_defOpt
Index: mmon/opt_config.d/defOpt_fPIC
===================================================================
--- common/opt_config.d/defOpt_fPIC	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ 	(revision )
@@ -1,23 +1,0 @@
-#
-#$Id$
-#
-#####
-#
-# MODE defOpt_fPIC configuration
-#
-# Usage: - Apply optimization string to each variable
-#        - "unset" will cause the variable to be not set
-#          instead of just set to null.
-#
-#####
-
-# Inherit optimizations from defOpt
-source $COMMON_DIR/opt_config.d/defOpt
-
-CFLAGS_defOpt_fPIC=$CFLAGS_defOpt" -fPIC"
-CXXFLAGS_defOpt_fPIC=$CFLAGS_defOpt" -fPIC"
-LDFLAGS_defOpt_fPIC=$LDFLAGS_defOpt
-
-OTHER_CFLAGS_defOpt_fPIC=$CFLAGS_defOpt" -fPIC"
-OTHER_CXXFLAGS_defOpt_fPIC=$CXXFLAGS_defOpt" -fPIC"
-OTHER_LDFLAGS_defOpt_fPIC=$LDFLAGS_defOpt
Index: mmon/opt_config.d/noOpt
===================================================================
--- common/opt_config.d/noOpt	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#
-#$Id$
-#
-#####
-#
-# MODE noOpt configuration
-#
-# WARNING: Do not edit this mode unless you know what you are
-#          doing.  By default, this is set to disable optimization
-#          of packages known to have build or runtime failure.
-#
-# Usage: - Apply optimization string to each variable
-#        - "unset" will cause the variable to be not set
-#          instead of being just set to null.
-#
-#####
-
-CFLAGS_noOpt="unset"
-CXXFLAGS_noOpt="unset"
-LDFLAGS_noOpt="unset"
-
-OTHER_CFLAGS_noOpt="unset"
-OTHER_CXXFLAGS_noOpt="unset"
-OTHER_LDFLAGS_noOpt="unset"
Index: mmon/opt_config.d/noSymbols
===================================================================
--- common/opt_config.d/noSymbols	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ 	(revision )
@@ -1,20 +1,0 @@
-#
-#$Id$
-#
-#####
-#
-# MODE noOpt_noSymbols configuration
-#
-# Usage: - Apply optimization string to each variable
-#        - "unset" will cause the variable to be not set
-#          instead of just set to null.
-#
-#####
-
-CFLAGS_noSymbols="-s"
-CXXFLAGS_noSymbols=$CFLAGS_noSymbols
-LDFLAGS_noSymbols="-s"
-
-OTHER_CFLAGS_noSymbols=$CFLAGS_noSymbols
-OTHER_CXXFLAGS_noSymbols=$CXXFLAGS_noSymbols
-OTHER_LDFLAGS_noSymbols=$LDFLAGS_noSymbols
Index: mmon/opt_override
===================================================================
--- common/opt_override	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ 	(revision )
@@ -1,5 +1,0 @@
-binutils       noOpt
-gcc            noOpt
-glibc          noOpt
-grub           noOpt
-zlib           defOpt_fPIC
Index: master.sh
===================================================================
--- master.sh	(revision ba2301ea8aeaa9b0ec774afebd2d7b996064e9c1)
+++ master.sh	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -58,6 +58,6 @@
 #
 [[ $VERBOSITY > 0 ]] && echo -n "Loading optimization config..."
-source $COMMON_DIR/opt_config
-[[ $? > 0 ]] && echo " $COMMON_DIR/opt_config did not load.." && exit
+source optimize/opt_config
+[[ $? > 0 ]] && echo " optimize/opt_config did not load.." && exit
 [[ $VERBOSITY > 0 ]] && echo "OK"
 #
@@ -489,5 +489,5 @@
 if [[ "$PWD" != "$JHALFSDIR" ]]; then
   cp $COMMON_DIR/makefile-functions $JHALFSDIR/
-  [[ "$OPTIMIZE" != "0" ]] && cp $COMMON_DIR/opt_override $JHALFSDIR/
+  [[ "$OPTIMIZE" != "0" ]] && cp optimize/opt_override $JHALFSDIR/
   if [[ "$COMPARE" != "0" ]] ; then
     mkdir -p $JHALFSDIR/extras
Index: optimize/opt_config
===================================================================
--- optimize/opt_config	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
+++ optimize/opt_config	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -0,0 +1,38 @@
+#####
+#
+# optimization configuration file
+#
+#####
+#
+#$Id$
+#
+
+#--- Default optimization mode
+#    This level is overridden by definitions in common/opt_override;
+#    in this way, packages can be tuned independently.  For example,
+#    if you have trouble building a package in mode defOpt, add
+#    the package to common/opt_override with a different mode.
+DEF_OPT_LVL=defOpt
+
+
+#--- Active optimization variables
+#    Variables listed here will be set as defined in the appropriate
+#    file in common/opt_config.d/; others will be ignored.
+ACTIVE_OPT_VARS="CFLAGS CXXFLAGS LDFLAGS \
+                 OTHER_CFLAGS OTHER_CXXFLAGS OTHER_LDFLAGS"
+
+#--- Load optimization modes
+#    To add modes, create a working template..
+#      cp opt_config.d/defOpt opt_config.d/newMode
+#    ..and edit it as desired.
+#
+#    To inherit another mode and add to it, see opt_config.d/defOpt_fPIC
+#    as an example.  Given opt_config.d/modeA_modeB_modeC, modeB inherits
+#    the optimizations of modeA by sourcing it, and modeC inherits those
+#    of modeB (which includes those of modeA).
+#
+#    Add packages that are to use this mode to opt_override with:
+#      echo 'myPkg  newMode' >> opt_override
+for mode in $COMMON_DIR/opt_config.d/* ; do
+  source $mode
+done
Index: optimize/opt_config.d/defOpt
===================================================================
--- optimize/opt_config.d/defOpt	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
+++ optimize/opt_config.d/defOpt	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -0,0 +1,20 @@
+#
+#$Id$
+#
+#####
+#
+# MODE defOpt configuration
+#
+# Usage: - Apply optimization string to each variable
+#        - "unset" will cause the variable to be not set
+#          instead of just set to null.
+#
+#####
+
+CFLAGS_defOpt="-O3 -pipe -s"
+CXXFLAGS_defOpt=$CFLAGS_defOpt
+LDFLAGS_defOpt="-s"
+
+OTHER_CFLAGS_defOpt=$CFLAGS_defOpt
+OTHER_CXXFLAGS_defOpt=$CXXFLAGS_defOpt
+OTHER_LDFLAGS_defOpt=$LDFLAGS_defOpt
Index: optimize/opt_config.d/defOpt_fPIC
===================================================================
--- optimize/opt_config.d/defOpt_fPIC	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
+++ optimize/opt_config.d/defOpt_fPIC	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -0,0 +1,23 @@
+#
+#$Id$
+#
+#####
+#
+# MODE defOpt_fPIC configuration
+#
+# Usage: - Apply optimization string to each variable
+#        - "unset" will cause the variable to be not set
+#          instead of just set to null.
+#
+#####
+
+# Inherit optimizations from defOpt
+source $COMMON_DIR/opt_config.d/defOpt
+
+CFLAGS_defOpt_fPIC=$CFLAGS_defOpt" -fPIC"
+CXXFLAGS_defOpt_fPIC=$CFLAGS_defOpt" -fPIC"
+LDFLAGS_defOpt_fPIC=$LDFLAGS_defOpt
+
+OTHER_CFLAGS_defOpt_fPIC=$CFLAGS_defOpt" -fPIC"
+OTHER_CXXFLAGS_defOpt_fPIC=$CXXFLAGS_defOpt" -fPIC"
+OTHER_LDFLAGS_defOpt_fPIC=$LDFLAGS_defOpt
Index: optimize/opt_config.d/noOpt
===================================================================
--- optimize/opt_config.d/noOpt	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
+++ optimize/opt_config.d/noOpt	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -0,0 +1,24 @@
+#
+#$Id$
+#
+#####
+#
+# MODE noOpt configuration
+#
+# WARNING: Do not edit this mode unless you know what you are
+#          doing.  By default, this is set to disable optimization
+#          of packages known to have build or runtime failure.
+#
+# Usage: - Apply optimization string to each variable
+#        - "unset" will cause the variable to be not set
+#          instead of being just set to null.
+#
+#####
+
+CFLAGS_noOpt="unset"
+CXXFLAGS_noOpt="unset"
+LDFLAGS_noOpt="unset"
+
+OTHER_CFLAGS_noOpt="unset"
+OTHER_CXXFLAGS_noOpt="unset"
+OTHER_LDFLAGS_noOpt="unset"
Index: optimize/opt_config.d/noSymbols
===================================================================
--- optimize/opt_config.d/noSymbols	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
+++ optimize/opt_config.d/noSymbols	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -0,0 +1,20 @@
+#
+#$Id$
+#
+#####
+#
+# MODE noOpt_noSymbols configuration
+#
+# Usage: - Apply optimization string to each variable
+#        - "unset" will cause the variable to be not set
+#          instead of just set to null.
+#
+#####
+
+CFLAGS_noSymbols="-s"
+CXXFLAGS_noSymbols=$CFLAGS_noSymbols
+LDFLAGS_noSymbols="-s"
+
+OTHER_CFLAGS_noSymbols=$CFLAGS_noSymbols
+OTHER_CXXFLAGS_noSymbols=$CXXFLAGS_noSymbols
+OTHER_LDFLAGS_noSymbols=$LDFLAGS_noSymbols
Index: optimize/opt_override
===================================================================
--- optimize/opt_override	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
+++ optimize/opt_override	(revision d0e48ec6109c68c7aeb52ed4858d36a6b4f85789)
@@ -0,0 +1,5 @@
+binutils       noOpt
+gcc            noOpt
+glibc          noOpt
+grub           noOpt
+zlib           defOpt_fPIC
